Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 389361 - sys-kernel/genkernel-3.4.16 dmraid advises user to install non-existing sys-fs/device-mapper package
Summary: sys-kernel/genkernel-3.4.16 dmraid advises user to install non-existing sys-f...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Gentoo Genkernel Maintainers
URL:
Whiteboard:
Keywords:
Depends on: 461382
Blocks:
  Show dependency tree
 
Reported: 2011-11-02 19:34 UTC by Malahov Artem
Modified: 2013-06-06 07:24 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Malahov Artem 2011-11-02 19:34:03 UTC
$ genkernel --dmraid all
Error: --dmraid requires device-mapper to be installed
                 on the host system; try "emerge device-mapper".
$ emerge device-mapper
[blocks B      ] sys-fs/device-mapper ("sys-fs/device-mapper" is blocking sys-fs/udev-164-r2)

No way to use genkernel with dmraid now!(


Reproducible: Always

Steps to Reproduce:
1. genkernel --dmraid all
2. emerge device-mapper



Portage 2.1.10.11 (default/linux/x86/10.0, gcc-4.5.3, glibc-2.12.2-r0, 3.0.6-gentoo i686)
=================================================================
System uname: Linux-3.0.6-gentoo-i686-Intel-R-_Celeron-R-_CPU_450_@_2.20GHz-with-gentoo-2.0.3
Timestamp of tree: Wed, 02 Nov 2011 18:30:01 +0000
app-shells/bash:          4.1_p9
dev-lang/python:          2.7.2-r3, 3.1.4-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.20.1-r1
sys-devel/gcc:            4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 modules mudflap ncurses nls nptl nptlonly openmp pam pcre pppd readline session ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Rafał Mużyło 2011-11-02 23:14:46 UTC
...(not discussing general usefulness of genkernel)...

The message is out of date - the package in question has been sys-fs/lvm2 for quite awhile.
Comment 2 Mike Gilbert gentoo-dev 2011-11-03 01:44:19 UTC
Don't CC arches yourself.
Comment 3 Christian Kujau 2012-01-31 02:42:33 UTC
> the package in question has been sys-fs/lvm2 for quite awhile.

If I parse this correctly: sys-fs/device-mapper has been replaced sys-fs/lvm2? A long time ago? Why is sys-fs/device-mapper still offered (but "blocked") in the latest portage tree?

What about sys-fs/cryptsetup, has this been obsoleted too by something?

----------------
$ emerge sys-fs/cryptsetup
Calculating dependencies... done!
[ebuild  N     ] dev-libs/libgpg-error-1.10  USE="nls static-libs -common-lisp" 
[ebuild   R    ] dev-libs/popt-1.16-r1  USE="static-libs*" 
[ebuild  N     ] dev-libs/libgcrypt-1.4.6  USE="static-libs" 
[ebuild  N     ] sys-fs/cryptsetup-1.1.3-r3  USE="nls -dynamic (-selinux)" 

The following USE changes are necessary to proceed:
#required by sys-fs/cryptsetup-1.1.3-r3, required by sys-fs/cryptsetup (argument)
=dev-libs/libgcrypt-1.4.6 static-libs
#required by sys-fs/cryptsetup-1.1.3-r3[-dynamic], required by sys-fs/cryptsetup (argument)
>=dev-libs/popt-1.16-r1 static-libs
#required by sys-fs/cryptsetup-1.1.3-r3, required by sys-fs/cryptsetup (argument)
=dev-libs/libgpg-error-1.10 static-libs

Use --autounmask-write to write changes to config files (honoring CONFIG_PROTECT).
Comment 4 Samuli Suominen gentoo-dev 2013-03-11 12:26:01 UTC
(In reply to comment #3)
> > the package in question has been sys-fs/lvm2 for quite awhile.
> 
> If I parse this correctly: sys-fs/device-mapper has been replaced
> sys-fs/lvm2? A long time ago? Why is sys-fs/device-mapper still offered (but
> "blocked") in the latest portage tree?

Bug 461382 for sys-fs/device-mapper removal. This bug should be handled now too.
Comment 5 Samuli Suominen gentoo-dev 2013-04-09 10:01:19 UTC
device-mapper is no longer in tree, so now genkernel is instructing to install non-existing package

please drop the references :)
Comment 6 Richard Yao gentoo-dev 2013-06-06 07:24:52 UTC
(In reply to Samuli Suominen from comment #5)
> device-mapper is no longer in tree, so now genkernel is instructing to
> install non-existing package
> 
> please drop the references :)

There appear to be no such reference in modern genkernel. Closing as fixed.